using DevExpress.Xpf.Core;
using System;
using System.Windows;


namespace AidA.View
{
    /// <summary>
    /// Interaction logic for AnonymisierungslaufVorbereitenWindow.xaml
    /// </summary>
    public partial class AnonymisierungslaufVorbereitenWindow : ThemedWindow
    {
        public AnonymisierungslaufVorbereitenWindow()
        {
            InitializeComponent();
        }

        private void AbbrechenButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void VorbereitenButton_Click(object sender, RoutedEventArgs e)
        {
            if (String.IsNullOrEmpty(TextEditAufbewahrungsfrist.Text))
            {
                // Default von 10 Jahren vom Benutzer bestaetigen lassen
                var text = "Anonymisierungslauf mit einer Aufbewahrungsfrist von 10 Jahren vorbereiten?";
                MessageBoxResult messageBoxResult = MessageBox.Show(text, "Aufbewahrungsfrist bitte prüfen", MessageBoxButton.OKCancel);
                if (messageBoxResult.Equals(MessageBoxResult.OK))
                {
                    VorbereitungProgressbar.Visibility = Visibility.Visible;
                    MainController.AnonymisierungslaufVorbereiten2(10, VorbereitungProgressbar);
                    this.Close();
                }
                else if (messageBoxResult.Equals(MessageBoxResult.Cancel))
                {
                    TextEditAufbewahrungsfrist.Text = "";
                    TextEditAufbewahrungsfrist.Focus();
                }
            } 
            else
            { 
                VorbereitungProgressbar.Visibility = Visibility.Visible;
                MainController.AnonymisierungslaufVorbereiten2(Int32.Parse(TextEditAufbewahrungsfrist.Text), VorbereitungProgressbar);
                this.Close();
            }
        }
    }
}
